Name:           angelscript
Version:        2.30.0
Release:        6%{?dist}
Summary:        Flexible cross-platform scripting library

License:        zlib
URL:            http://www.angelcode.com/angelscript/
Source0:        http://www.angelcode.com/angelscript/sdk/files/%{name}_%{version}.zip
Source1:        angelscript-meson.build

BuildRequires:  meson >= 0.23.0-3

%description
The AngelScript library is a software library for easy integration of
external scripting to applications, with built-in compiler and virtual
machine. The scripting language is easily extendable to incorporate
application specific data types and functions. It is designed with C++
in mind, as such it shares many features with C++, for example syntax
and data types.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -c
rm -rf build && mkdir build
cp %{SOURCE1} sdk/%{name}/meson.build

%build
pushd build
  %meson ../sdk/%{name}/
  ninja-build -v
popd

%install
pushd build
  DESTDIR=%{buildroot} ninja-build -v install
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc sdk/docs/articles/*.html
%{_libdir}/lib%{name}.so.*

%files devel
%doc sdk/docs/manual/*
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h

%changelog
* Thu May 21 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.30.0-6
- Simplify buildsystem

* Thu May 21 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.30.0-5
- arm build fixes

* Wed May 20 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.30.0-4
- Fix arm building

* Mon May 18 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.30.0-3
- Fix docs in devel subpkg

* Wed May 13 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.30.0-2
- Use custom builsystem to avoid multiple patching Makefile

* Sun Apr 26 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.30.0-1
- Initial package
